Loading...
Searching...
No Matches
websocketpp::transport::iostream::error Namespace Reference

iostream transport errors More...

## Classes

class | category
| iostream transport error category More...

## Enumerations

enum | value { general = 1 , invalid_num_bytes , double_read , output_stream_required , bad_stream }

## Functions

lib::error_category const & | get_category ()
| Get a reference to a static copy of the iostream transport error category.
lib::error_code | make_error_code (error::value e)
| Get an error code with the given value and the iostream transport category.

## Detailed Description

iostream transport errors

## Enumeration Type Documentation

## value

enum websocketpp::transport::iostream::error::value

Enumerator
general | Catch-all error for transport policy errors that don't fit in other categories
invalid_num_bytes | async_read_at_least call requested more bytes than buffer can store
double_read | async_read called while another async_read was in progress
output_stream_required | An operation that requires an output stream was attempted before setting one.
bad_stream | stream error

Definition at line 65 of file base.hpp.

## Function Documentation

## get_category()

lib::error_category const & websocketpp::transport::iostream::error::get_category | ( |  | ) |

inline

Get a reference to a static copy of the iostream transport error category.

Definition at line 112 of file base.hpp.

## make_error_code()

lib::error_code websocketpp::transport::iostream::error::make_error_code | ( | error::value | e | ) |

inline

Get an error code with the given value and the iostream transport category.

Definition at line 118 of file base.hpp.